org.apache.hadoop.hdfs.client

## Enum CreateEncryptionZoneFlag

- java.lang.Object
- - java.lang.Enum<CreateEncryptionZoneFlag>
  - - org.apache.hadoop.hdfs.client.CreateEncryptionZoneFlag

- All Implemented Interfaces:
    Serializable, Comparable<CreateEncryptionZoneFlag>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public enum CreateEncryptionZoneFlag
      extends Enum<CreateEncryptionZoneFlag>

  CreateEncryptionZoneFlag is used in `HdfsAdmin.createEncryptionZone(Path, String, EnumSet)` to indicate what should be done when creating an encryption zone. Use CreateEncryptionZoneFlag as follows:
  1. PROVISION_TRASH - provision a trash directory for the encryption zone to support soft delete.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_TRASH` Do not provision a trash directory in the encryption zone.
    `PROVISION_TRASH` Provision a trash directory .Trash/ in the encryption zone.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getMode()`
    `static CreateEncryptionZoneFlag` | `valueOf(short mode)`
    `static CreateEncryptionZoneFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CreateEncryptionZoneFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_TRASH

          public static final CreateEncryptionZoneFlag NO_TRASH

      Do not provision a trash directory in the encryption zone.
      See Also:
        `NO_TRASH`

    - #### PROVISION_TRASH

          public static final CreateEncryptionZoneFlag PROVISION_TRASH

      Provision a trash directory .Trash/ in the encryption zone.
      See Also:
        `PROVISION_TRASH`

  - ### Method Detail

    - #### values

          public static CreateEncryptionZoneFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CreateEncryptionZoneFlag c : CreateEncryptionZoneFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CreateEncryptionZoneFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          public static CreateEncryptionZoneFlag valueOf(short mode)

    - #### getMode

          public short getMode()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.